package cn.ibizlab.r7.runtime.org.mybatis.r7rt_org.mapper;


import cn.ibizlab.r7.runtime.org.core.r7rt_org.filter.OrgDeptUserSearchContext;
import cn.ibizlab.r7.runtime.org.mybatis.r7rt_org.po.T_ORGDEPTUSERImpl;
import cn.ibizlab.r7.runtime.org.core.repository.po.OrgDeptUser;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

/**
 * 关系型数据实体表[OrgDeptUser]映射对象
 */
public interface T_ORGDEPTUSERMapper extends BaseMapper<T_ORGDEPTUSERImpl> {

     /**
      * 查询集合[Default]
      * @param page 分页对象
      * @param context 查询上下文对象
      * @param wrapper 查询条件对象
      * @return
      */
     Page<OrgDeptUser> searchDefault(IPage page, @Param("srf") OrgDeptUserSearchContext context,@Param("ew") Wrapper wrapper) ;
     /**
      * 查询集合[Getorgdeptuser]
      * @param page 分页对象
      * @param context 查询上下文对象
      * @param wrapper 查询条件对象
      * @return
      */
     Page<OrgDeptUser> searchGetorgdeptuser(IPage page, @Param("srf") OrgDeptUserSearchContext context,@Param("ew") Wrapper wrapper) ;

}
